Subject: bug#53136: 28.0.90; segfault in lock_file

From: Po Lu <[email-masked]>
Date: Sun, 09 Jan 2022 17:40:17 +0800

Eli Zaretskii <[email-masked]> writes:

>> gdb says dot is "optimized out" (but valgrind, which I happened to be
>> running that Emacs under in an attempt to catch the GC bug I reported a
>> month ago, disagrees).  pidlen is 6.
>> 
>> I will try to get more information from the valgrind core file.

A superficial examination didn't reveal any string that made sense in
the (stack) frame of lock_file.  I will dig deeper later.

> So we somehow wrote more than 8192 bytes by that memcpy line?  I find
> this hard to believe.

Same here, I couldn't find how that happened.

> What exactly did valgrind say?

It complained about an invalid write of size 1 at one byte outside the
current stack frame.

Thanks.